net.sf.jasperreports.components.headertoolbar.actions

## Class EditTextElementData

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData
  - - net.sf.jasperreports.components.headertoolbar.actions.EditTextElementData

-     public class EditTextElementData
      extends BaseColumnData

  Version:
    $Id: EditTextElementData.java 6989 2014-03-27 11:38:48Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPLY_TO_DETAIL_ROWS`
    `static java.lang.String` | `APPLY_TO_GROUP_SUBTOTAL`
    `static java.lang.String` | `APPLY_TO_GROUPHEADING`
    `static java.lang.String` | `APPLY_TO_HEADING`
    `static java.lang.String` | `APPLY_TO_TABLE_TOTAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditTextElementData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplyTo()`
    `int` | `getColumnIndex()`
    `java.lang.String` | `getDataType()`
    `java.lang.Float` | `getFloatFontSize()`
    `java.lang.String` | `getFontBackColor()`
    `java.lang.Boolean` | `getFontBold()`
    `java.lang.String` | `getFontColor()`
    `java.lang.String` | `getFontHAlign()`
    `java.lang.Boolean` | `getFontItalic()`
    `java.lang.String` | `getFontName()`
    `java.lang.String` | `getFontSize()`
    `java.lang.Boolean` | `getFontUnderline()`
    `java.lang.String` | `getFormatPattern()`
    `java.lang.String` | `getGroupName()`
    `java.lang.String` | `getHeadingName()`
    `java.lang.String` | `getMode()`
    `void` | `setApplyTo(java.lang.String applyTo)`
    `void` | `setColumnIndex(int columnIndex)`
    `void` | `setDataType(java.lang.String dataType)`
    `void` | `setFloatFontSize(java.lang.Float floatFontSize)`
    `void` | `setFontBackColor(java.lang.String fontBackColor)`
    `void` | `setFontBold(java.lang.Boolean fontBold)`
    `void` | `setFontColor(java.lang.String fontColor)`
    `void` | `setFontHAlign(java.lang.String fontHAlign)`
    `void` | `setFontItalic(java.lang.Boolean fontItalic)`
    `void` | `setFontName(java.lang.String fontName)`
    `void` | `setFontSize(java.lang.String fontSize)`
    `void` | `setFontUnderline(java.lang.Boolean fontUnderline)`
    `void` | `setFormatPattern(java.lang.String formatPattern)`
    `void` | `setGroupName(java.lang.String groupName)`
    `void` | `setHeadingName(java.lang.String headingName)`
    `void` | `setMode(java.lang.String mode)`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData

      `getTableUuid, setTableUuid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLY_TO_HEADING

          public static final java.lang.String APPLY_TO_HEADING

      See Also:
        Constant Field Values

    - #### APPLY_TO_DETAIL_ROWS

          public static final java.lang.String APPLY_TO_DETAIL_ROWS

      See Also:
        Constant Field Values

    - #### APPLY_TO_GROUPHEADING

          public static final java.lang.String APPLY_TO_GROUPHEADING

      See Also:
        Constant Field Values

    - #### APPLY_TO_GROUP_SUBTOTAL

          public static final java.lang.String APPLY_TO_GROUP_SUBTOTAL

      See Also:
        Constant Field Values

    - #### APPLY_TO_TABLE_TOTAL

          public static final java.lang.String APPLY_TO_TABLE_TOTAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EditTextElementData

          public EditTextElementData()

  - ### Method Detail

    - #### getColumnIndex

          public int getColumnIndex()

    - #### setColumnIndex

          public void setColumnIndex(int columnIndex)

    - #### getHeadingName

          public java.lang.String getHeadingName()

    - #### setHeadingName

          public void setHeadingName(java.lang.String headingName)

    - #### getFontName

          public java.lang.String getFontName()

    - #### setFontName

          public void setFontName(java.lang.String fontName)

    - #### getFontSize

          public java.lang.String getFontSize()

    - #### setFontSize

          public void setFontSize(java.lang.String fontSize)

    - #### getFontBold

          public java.lang.Boolean getFontBold()

    - #### setFontBold

          public void setFontBold(java.lang.Boolean fontBold)

    - #### getFontItalic

          public java.lang.Boolean getFontItalic()

    - #### setFontItalic

          public void setFontItalic(java.lang.Boolean fontItalic)

    - #### getFontUnderline

          public java.lang.Boolean getFontUnderline()

    - #### setFontUnderline

          public void setFontUnderline(java.lang.Boolean fontUnderline)

    - #### getFontColor

          public java.lang.String getFontColor()

    - #### setFontColor

          public void setFontColor(java.lang.String fontColor)

    - #### getFontBackColor

          public java.lang.String getFontBackColor()

    - #### setFontBackColor

          public void setFontBackColor(java.lang.String fontBackColor)

    - #### getFontHAlign

          public java.lang.String getFontHAlign()

    - #### setFontHAlign

          public void setFontHAlign(java.lang.String fontHAlign)

    - #### getFormatPattern

          public java.lang.String getFormatPattern()

    - #### setFormatPattern

          public void setFormatPattern(java.lang.String formatPattern)

    - #### getMode

          public java.lang.String getMode()

    - #### setMode

          public void setMode(java.lang.String mode)

    - #### getDataType

          public java.lang.String getDataType()

    - #### setDataType

          public void setDataType(java.lang.String dataType)

    - #### getApplyTo

          public java.lang.String getApplyTo()

    - #### setApplyTo

          public void setApplyTo(java.lang.String applyTo)

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### setGroupName

          public void setGroupName(java.lang.String groupName)

    - #### getFloatFontSize

          public java.lang.Float getFloatFontSize()

    - #### setFloatFontSize

          public void setFloatFontSize(java.lang.Float floatFontSize)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com